package com.bonus.canteen.core.account.v3.api.dto;

import com.bonus.canteen.core.marketing.v2.rule.price.dto.RulePriceResultDTO;
import com.fasterxml.jackson.databind.JsonNode;

import java.time.LocalDateTime;

public class AccOrdBaseDTO {
   private Boolean ifTrialCalculation;
   private Long custId;
   private Long orderId;
   private RulePriceResultDTO rulePriceResult;
   private Long canteenId;
   private String canteenName;
   private Long shopstallId;
   private String shopstallName;
   private String mchNum;
   private String mchName;
   private String mchSn;
   private LocalDateTime ordTime;
   private Integer nuClearMode;
   private Integer ifOnline;
   private String remark;
   private Integer sourceType;
   private Integer orderType;
   private JsonNode extParam;

   public AccOrdBaseDTO() {
      this.ifTrialCalculation = Boolean.FALSE;
   }

   public Boolean getIfTrialCalculation() {
      return this.ifTrialCalculation;
   }

   public Long getCustId() {
      return this.custId;
   }

   public Long getOrderId() {
      return this.orderId;
   }

   public RulePriceResultDTO getRulePriceResult() {
      return this.rulePriceResult;
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public String getCanteenName() {
      return this.canteenName;
   }

   public Long getShopstallId() {
      return this.shopstallId;
   }

   public String getShopstallName() {
      return this.shopstallName;
   }

   public String getMchNum() {
      return this.mchNum;
   }

   public String getMchName() {
      return this.mchName;
   }

   public String getMchSn() {
      return this.mchSn;
   }

   public LocalDateTime getOrdTime() {
      return this.ordTime;
   }

   public Integer getNuClearMode() {
      return this.nuClearMode;
   }

   public Integer getIfOnline() {
      return this.ifOnline;
   }

   public String getRemark() {
      return this.remark;
   }

   public Integer getSourceType() {
      return this.sourceType;
   }

   public Integer getOrderType() {
      return this.orderType;
   }

   public JsonNode getExtParam() {
      return this.extParam;
   }

   public void setIfTrialCalculation(final Boolean ifTrialCalculation) {
      this.ifTrialCalculation = ifTrialCalculation;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setOrderId(final Long orderId) {
      this.orderId = orderId;
   }

   public void setRulePriceResult(final RulePriceResultDTO rulePriceResult) {
      this.rulePriceResult = rulePriceResult;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

   public void setCanteenName(final String canteenName) {
      this.canteenName = canteenName;
   }

   public void setShopstallId(final Long shopstallId) {
      this.shopstallId = shopstallId;
   }

   public void setShopstallName(final String shopstallName) {
      this.shopstallName = shopstallName;
   }

   public void setMchNum(final String mchNum) {
      this.mchNum = mchNum;
   }

   public void setMchName(final String mchName) {
      this.mchName = mchName;
   }

   public void setMchSn(final String mchSn) {
      this.mchSn = mchSn;
   }

   public void setOrdTime(final LocalDateTime ordTime) {
      this.ordTime = ordTime;
   }

   public void setNuClearMode(final Integer nuClearMode) {
      this.nuClearMode = nuClearMode;
   }

   public void setIfOnline(final Integer ifOnline) {
      this.ifOnline = ifOnline;
   }

   public void setRemark(final String remark) {
      this.remark = remark;
   }

   public void setSourceType(final Integer sourceType) {
      this.sourceType = sourceType;
   }

   public void setOrderType(final Integer orderType) {
      this.orderType = orderType;
   }

   public void setExtParam(final JsonNode extParam) {
      this.extParam = extParam;
   }

}